<?php
$posts_per_page = $settings['query_posts_per_page'];
$post_categories = $settings['query_post_categories'];
$post_tags = $settings['query_post_tags'];
$orderby = $settings['query_orderby'];
$order = $settings['query_order'];

$column_number = $settings['layout_column_number'];
$category_position = $settings['layout_category_position'];

$column = round(12 / $column_number);

$args = array(
    'posts_per_page' => $posts_per_page,
    'orderby' => $orderby,
    'order' => $order,
    'category__in' => $post_categories,
    'tag__in' => $post_tags,
    'suppress_filters' => false,
    'tax_query' => [
        [
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => 'post-format-video'
        ]
    ]
);

if ($settings['query_enable_offset'] == 'yes') {
    $args['offset'] = $settings['query_offset_item_num'];
}

$query = get_posts($args);

$style_class = $settings['layout_layout_style'];
$category_style = $settings['layout_category_style'];

?>
<?php if ($query) { ?>

    <div class="qoxag-wrapper video-post-tab">
        <div class="row">
            <?php
            include QOXAG_CORE . "/elementor/content-parts/content-videotab.php";
            ?>
        </div>
        <!-- content will be here -->
    </div>
<?php } ?>